## ros-noetic-husky-gazebo 0.6.6

=== debian/changelog ===
ros-noetic-husky-gazebo (0.6.6-3buster) buster; urgency=high

  * Merge pull request #270 <https://github.com/husky/husky/issues/270> from husky/rename-empty-world
  * Rename husky_empty_world.launch to empty_world.launch to make it consistent with other platforms
  * Contributors: Chris Iverach-Brereton, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 16 Jan 2023 05:00:00 -0000

ros-noetic-husky-gazebo (0.6.5-3buster) buster; urgency=high

  * Add XML decleration to realsense.launch
  * Update realsense.launch
  * Update realsense.launch
  * Contributors: Tinker Twins

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 25 Nov 2022 05:00:00 -0000

ros-noetic-husky-gazebo (0.6.4-3buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 16 Jun 2022 04:00:00 -0000

ros-noetic-husky-gazebo (0.6.3-3buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 16 May 2022 04:00:00 -0000

ros-noetic-husky-gazebo (0.6.2-3buster) buster; urgency=high

  * Bump CMake version to avoid CMP0048 warning.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 15 Feb 2022 05:00:00 -0000

ros-noetic-husky-gazebo (0.6.1-3buster) buster; urgency=high

  * [husky_gazebo] Fixed roslaunch tests.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 18 Jan 2022 05:00:00 -0000

ros-noetic-husky-gazebo (0.6.0-3buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 28 Sep 2021 04:00:00 -0000

ros-noetic-husky-gazebo (0.5.1-3buster) buster; urgency=high

  * Remove the need to explicitly specify the laser_enabled, realsense_enabled, and urdf_extras arguments; use the envars to make it easier to simulate customized robots & use the moveit setup assistant.
  * Add VLP16, secondary LMS1xx support (#164 <https://github.com/husky/husky/issues/164>)
    * Minimal refactor to add VLP16 + secondary LMS1xx support. Update defaults for the laser_enabled and realsense_enabled args to refer to the underlying envars to improve consistency when launching simulations. Modify the sensor bar to allow it to be positioned in the center by default, but with configurable xyz and rpy offsets
    * Add the new run dependencies
    * Remove the prefix's trailing underscore in the vlp16 mount to make it consistent. Fix an inconsistent envar for the sensor arch, add an arg to explicitly enable it, to stay internally consistent with the rest of Husky.
    * Fix the envars; its just HUSKY_LMS1XX, not HUSKY_LASER_LMS1XX
    * Revert to enabling the main laser by default in the simulations, add the velodyne_gazebo_plugins dependency
  * Contributors: Chris I-B, Chris Iverach-Brereton

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 16 Sep 2021 04:00:00 -0000

ros-noetic-husky-gazebo (0.5.0-3buster) buster; urgency=high

  * Disabled multimaster.
  * Update spawn_husky.launch
    I think the robot spawn should be like this
  * Contributors: Guido Sanchez, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 23 Aug 2021 04:00:00 -0000

ros-noetic-husky-gazebo (0.4.4-3buster) buster; urgency=high

  * Remove support for the Kinect for Xbox 360. We've had the deprecation warning around for a while, so let's finally do it.  Realsense support is in-place as a drop-in replacement that gets added to the top rollbar, just like the old Kinect would have.
  * Enable teleop in the Husky simulation
  * Removed Paul Bovbel as maintainer.
  * Finish adding the simulated realsense to the topbar, add support for the physical realsense. Tidy up some parameters that were copied in last night but not yet configured.
  * Mark the Kinect for Xbox 360 as deprecated, start adding support for the Intel Realsense D400 series as a replacement
  * Contributors: Chris I-B, Chris Iverach-Brereton, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 13 Aug 2020 04:00:00 -0000

ros-noetic-husky-gazebo (0.4.3-3buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 20 Apr 2020 04:00:00 -0000

ros-noetic-husky-gazebo (0.4.2-3buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 11 Dec 2019 05:00:00 -0000

ros-noetic-husky-gazebo (0.4.1-3buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 30 Sep 2019 04:00:00 -0000

ros-noetic-husky-gazebo (0.4.0-3buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 01 Aug 2019 04:00:00 -0000

ros-noetic-husky-gazebo (0.3.4-3buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 01 Aug 2019 04:00:00 -0000

ros-noetic-husky-gazebo (0.3.3-3buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 18 Apr 2019 04:00:00 -0000

ros-noetic-husky-gazebo (0.3.2-3buster) buster; urgency=high

  * Added Z to spawn husky launch
  * Contributors: Dave Niewinski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 25 Mar 2019 04:00:00 -0000

ros-noetic-husky-gazebo (0.3.1-3buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 02 Aug 2018 04:00:00 -0000

ros-noetic-husky-gazebo (0.3.0-3buster) buster; urgency=high

  * Fixed typo in URLs.
  * Corrected the kinect scan topic name so it matches the laser scanner topic name.
  * description.launch should be launched only once when the flag multimaster is false.
    This commit fixes #47 <https://github.com/husky/husky/issues/47>.
    Also delete the urdf subdirectory from the installation list of the package husky_gazebo
    since the directory doesn't exist.
    HOW BUILT
    $ catkin_make_isolated --install --use-ninja
    HOW VERIFIED
    $ roslaunch husky_gazebo husky_playpen.launch
    $ roslaunch husky_viz view_robot.launch


## ros-noetic-husky-gazebo 0.6.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(husky_gazebo)

find_package(catkin REQUIRED COMPONENTS)

catkin_package()


install(
  DIRECTORY worlds
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(
  FILES launch/empty_world.launch
        launch/husky_playpen.launch
        launch/playpen.launch
        launch/realsense.launch
        launch/spawn_husky.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch/empty_world.launch)
  roslaunch_add_file_check(launch/husky_playpen.launch)
  roslaunch_add_file_check(launch/playpen.launch)
  roslaunch_add_file_check(launch/realsense.launch)
  roslaunch_add_file_check(launch/spawn_husky.launch)
endif()

=== debian/changelog ===
ros-noetic-husky-gazebo (0.6.9-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 19 May 2023 04:00:00 -0000

ros-noetic-husky-gazebo (0.6.8-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 04 May 2023 04:00:00 -0000

ros-noetic-husky-gazebo (0.6.7-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 10 Mar 2023 05:00:00 -0000

ros-noetic-husky-gazebo (0.6.6-1focal) focal; urgency=high

  * Merge pull request #270 <https://github.com/husky/husky/issues/270> from husky/rename-empty-world
  * Rename husky_empty_world.launch to empty_world.launch to make it consistent with other platforms
  * Contributors: Chris Iverach-Brereton, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 16 Jan 2023 05:00:00 -0000

ros-noetic-husky-gazebo (0.6.5-1focal) focal; urgency=high

  * Add XML decleration to realsense.launch
  * Update realsense.launch
  * Update realsense.launch
  * Contributors: Tinker Twins

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 25 Nov 2022 05:00:00 -0000

ros-noetic-husky-gazebo (0.6.4-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 16 Jun 2022 04:00:00 -0000

ros-noetic-husky-gazebo (0.6.3-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 16 May 2022 04:00:00 -0000

ros-noetic-husky-gazebo (0.6.2-1focal) focal; urgency=high

  * Bump CMake version to avoid CMP0048 warning.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 15 Feb 2022 05:00:00 -0000

ros-noetic-husky-gazebo (0.6.1-1focal) focal; urgency=high

  * [husky_gazebo] Fixed roslaunch tests.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 18 Jan 2022 05:00:00 -0000

ros-noetic-husky-gazebo (0.6.0-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 28 Sep 2021 04:00:00 -0000

ros-noetic-husky-gazebo (0.5.1-1focal) focal; urgency=high

  * Remove the need to explicitly specify the laser_enabled, realsense_enabled, and urdf_extras arguments; use the envars to make it easier to simulate customized robots & use the moveit setup assistant.
  * Add VLP16, secondary LMS1xx support (#164 <https://github.com/husky/husky/issues/164>)
    * Minimal refactor to add VLP16 + secondary LMS1xx support. Update defaults for the laser_enabled and realsense_enabled args to refer to the underlying envars to improve consistency when launching simulations. Modify the sensor bar to allow it to be positioned in the center by default, but with configurable xyz and rpy offsets
    * Add the new run dependencies
    * Remove the prefix's trailing underscore in the vlp16 mount to make it consistent. Fix an inconsistent envar for the sensor arch, add an arg to explicitly enable it, to stay internally consistent with the rest of Husky.
    * Fix the envars; its just HUSKY_LMS1XX, not HUSKY_LASER_LMS1XX
    * Revert to enabling the main laser by default in the simulations, add the velodyne_gazebo_plugins dependency
  * Contributors: Chris I-B, Chris Iverach-Brereton

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 16 Sep 2021 04:00:00 -0000

ros-noetic-husky-gazebo (0.5.0-1focal) focal; urgency=high

  * Disabled multimaster.
  * Update spawn_husky.launch
    I think the robot spawn should be like this
  * Contributors: Guido Sanchez, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 23 Aug 2021 04:00:00 -0000

ros-noetic-husky-gazebo (0.4.4-1focal) focal; urgency=high

  * Remove support for the Kinect for Xbox 360. We've had the deprecation warning around for a while, so let's finally do it.  Realsense support is in-place as a drop-in replacement that gets added to the top rollbar, just like the old Kinect would have.
  * Enable teleop in the Husky simulation
  * Removed Paul Bovbel as maintainer.
  * Finish adding the simulated realsense to the topbar, add support for the physical realsense. Tidy up some parameters that were copied in last night but not yet configured.
  * Mark the Kinect for Xbox 360 as deprecated, start adding support for the Intel Realsense D400 series as a replacement
  * Contributors: Chris I-B, Chris Iverach-Brereton, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 13 Aug 2020 04:00:00 -0000

ros-noetic-husky-gazebo (0.4.3-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 20 Apr 2020 04:00:00 -0000

ros-noetic-husky-gazebo (0.4.2-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 11 Dec 2019 05:00:00 -0000

ros-noetic-husky-gazebo (0.4.1-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 30 Sep 2019 04:00:00 -0000

ros-noetic-husky-gazebo (0.4.0-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 01 Aug 2019 04:00:00 -0000

ros-noetic-husky-gazebo (0.3.4-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 01 Aug 2019 04:00:00 -0000

ros-noetic-husky-gazebo (0.3.3-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 18 Apr 2019 04:00:00 -0000

ros-noetic-husky-gazebo (0.3.2-1focal) focal; urgency=high

  * Added Z to spawn husky launch
  * Contributors: Dave Niewinski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 25 Mar 2019 04:00:00 -0000

ros-noetic-husky-gazebo (0.3.1-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 02 Aug 2018 04:00:00 -0000

ros-noetic-husky-gazebo (0.3.0-1focal) focal; urgency=high

  * Fixed typo in URLs.
  * Corrected the kinect scan topic name so it matches the laser scanner topic name.
  * description.launch should be launched only once when the flag multimaster is false.


=== debian/control ===
Source: ros-noetic-husky-gazebo
Section: misc
Priority: optional
Maintainer: Tony Baltovski <tbaltovski@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-roslaunch <!nocheck>
Homepage: http://ros.org/wiki/husky_gazebo
Standards-Version: 3.9.2

Package: ros-noetic-husky-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-controller-manager, ros-noetic-gazebo-plugins, ros-noetic-gazebo-ros, ros-noetic-gazebo-ros-control, ros-noetic-hector-gazebo-plugins, ros-noetic-husky-control, ros-noetic-husky-description, ros-noetic-pointcloud-to-laserscan, ros-noetic-rostopic, ros-noetic-velodyne-gazebo-plugins
Description: Clearpath Husky Simulator bringup

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-husky-gazebo//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
